heartbeat_client_free
heartbeat_client_new
heartbeat_client_start_service
heartbeat_client_t
heartbeat_error_t
heartbeat_receive
heartbeat_receive_with_timeout
heartbeat_send
HEARTBEAT_SERVICE_NAME

## heartbeat_client_start_service()

LIBIMOBILEDEVICE_API heartbeat_error_t heartbeat_client_start_service | ( | idevice_t | device,
|  | heartbeat_client_t * | client,
|  | const char * | label )

Starts a new heartbeat service on the specified device and connects to it.

Parameters

  device | The device to connect to.
  client | Pointer that will point to a newly allocated heartbeat_client_t upon successful return. Must be freed using heartbeat_client_free() after use.
  label | The label to use for communication. Usually the program name. Pass NULL to disable sending the label in requests to lockdownd.

Returns
  HEARTBEAT_E_SUCCESS on success, or an HEARTBEAT_E_* error code otherwise.